/*
 * CompoundPotentialUnitTest.hpp
 *
 *  Created on: May 08, 2013
 *      Author: heber
 */

#ifndef COMPOUNDPOTENTIALUNITTEST_HPP_
#define COMPOUNDPOTENTIALUNITTEST_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


#include <cppunit/extensions/HelperMacros.h>

#include "Fragmentation/Homology/FragmentEdge.hpp"
#include "Fragmentation/Homology/FragmentNode.hpp"
#include "Fragmentation/Homology/HomologyGraph.hpp"

class CompoundPotential;

/********************************************** Test classes **************************************/

class CompoundPotentialTest : public CppUnit::TestFixture
{
    CPPUNIT_TEST_SUITE( CompoundPotentialTest) ;
    CPPUNIT_TEST ( operatorTest );
//    CPPUNIT_TEST ( derivativeTest );
    CPPUNIT_TEST ( parameter_derivativeTest );
    CPPUNIT_TEST_SUITE_END();

public:
      void setUp();
      void tearDown();
      void operatorTest();
//      void derivativeTest();
      void parameter_derivativeTest();

private:
      HomologyGraph *graph;
      HomologyGraph::nodes_t nodes;
      HomologyGraph::edges_t edges;
      HomologyGraph::nodes_t othernodes;
      HomologyGraph::edges_t otheredges;

      typedef std::vector<double> data_t;
      data_t input;
      data_t output;
      double a,c,d,D;
};

#endif /* COMPOUNDPOTENTIALUNITTEST_HPP_ */
